#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("BAI2_17.inp");
    ofstream f2("BAI2_17.out");
    int a,b,c;
    f1>>a>>b>>c;
    int m,n,p;
    m=c/a;
    n=c/b;
    p=c/(a*b);
    f2<<m+n-p;
}
